uartpsv: XUartPsv Struct Reference

| uartpsv Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XUartPsv Struct Reference
Uartpsv_v1_1

The XUartPsv driver instance data structure. More...

## Data Fields
XUartPsv_Config | Config
| Configuration data structure. More...
u32 | InputClockHz
| Input clock frequency. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | BaudRate
| Current baud rate. More...
void * | CallBackRef
| Callback reference for event handler. More...

## Detailed Description

The XUartPsv driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

u32 XUartPsv::BaudRate

Current baud rate.

Referenced by XUartPsv_GetDataFormat(), and XUartPsv_SetBaudRate().

void* XUartPsv::CallBackRef

Callback reference for event handler.

Referenced by XUartPsv_SetHandler().

XUartPsv_Config XUartPsv::Config

Configuration data structure.

Referenced by UartPsvPolledExample(), XUartPsv_CfgInitialize(), XUartPsv_GetDataFormat(), XUartPsv_GetFifoThreshold(), XUartPsv_GetInterruptMask(), XUartPsv_GetModemStatus(), XUartPsv_GetOperMode(), XUartPsv_GetOptions(), XUartPsv_InterruptHandler(), XUartPsv_IsSending(), XUartPsv_ReceiveBuffer(), XUartPsv_SelfTest(), XUartPsv_SendBuffer(), XUartPsv_SetBaudRate(), XUartPsv_SetDataFormat(), XUartPsv_SetFifoThreshold(), XUartPsv_SetInterruptMask(), XUartPsv_SetOperMode(), and XUartPsv_SetOptions().

u32 XUartPsv::InputClockHz

Input clock frequency.

u32 XUartPsv::IsReady

Device is initialized and ready.

Referenced by XUartPsv_CfgInitialize(), XUartPsv_GetDataFormat(), XUartPsv_GetFifoThreshold(), XUartPsv_GetModemStatus(), XUartPsv_GetOperMode(), XUartPsv_GetOptions(), XUartPsv_InterruptHandler(), XUartPsv_IsSending(), XUartPsv_Recv(), XUartPsv_SelfTest(), XUartPsv_Send(), XUartPsv_SetBaudRate(), XUartPsv_SetDataFormat(), XUartPsv_SetFifoThreshold(), XUartPsv_SetHandler(), XUartPsv_SetOperMode(), and XUartPsv_SetOptions().